using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostRoomCard
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual long ID
		{
			get;
			set;
		}
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int? HostID
		{
			get;
			set;
		}
		/// <summary>
		/// 房号
		/// </summary>
		public virtual string RoomNumber
		{
			get;
			set;
		}
		/// <summary>
		/// 房卡
		/// </summary>
		public virtual RoomCard RoomCard
		{
			get;
			set;
		}
		/// <summary>
		/// 房卡编号
		/// </summary>
		public virtual string CardNumber
		{
			get;
			set;
		}
		/// <summary>
		/// 房卡类型ID
		/// </summary>
		public virtual RoomCardType CardType
		{
			get;
			set;
		}
		/// <summary>
		/// 员工编号
		/// </summary>
		public virtual string UserNumber
		{
			get;
			set;
		}
		/// <summary>
		/// 员工姓名
		/// </summary>
		public virtual string UserName
		{
			get;
			set;
		}
		/// <summary>
		/// 插卡时间
		/// </summary>
		public virtual DateTime? InCardTime
		{
			get;
			set;
		}
		/// <summary>
		/// 拔卡时间
		/// </summary>
		public virtual DateTime? OutCardTime
		{
			get;
			set;
		}
		/// <summary>
		/// 是否报警（与金天鹅对接，插卡后尚未开房5分钟后报警）
		/// </summary>
        public virtual bool? IsAlarm
        {
            get;
            set;
        }

		/// <summary>
		/// 时长(分钟)
		/// </summary>
		public virtual long Duration
		{
			get;
			set;
		}
	}
}
